
dcl_settings : default_dcl_settings { audit_level = 3; }

CURVETEXT : dialog {
    label = "CURVETEXT";
    : edit_box {
        label = "Text:";
        key = "Text";
        mnemonic = "T";
        edit_width = 40;
        width = 40;
        fixed_width = true;
    }
    : row {
        : edit_box {
            label = "Offset:";
            key = "Offset";
            mnemonic = "O";
            edit_width = 5;
            width = 10;
            fixed_width = true;
        }
        : edit_box {
            label = "Height:";
            key = "Height";
            mnemonic = "H";
            edit_width = 4;
            width = 10;
            fixed_width = true;
        }
        : edit_box {
            label = "Width";
            key = "Width";
            mnemonic = "W";
            edit_width = 5;
            width = 10;
            fixed_width = true;
        }
    }
    : text {
        label = "Current style:";
        key = "TxtStyle";
        is_bold = true;
        width = 45;
        fixed_width = true;
        fixed_height = false;
    }
    : row {
        : popup_list {
            label = "Styles:";
            key = "Styles";
            mnemonic = "S";
            edit_width = 17;
            width = 17;
            fixed_width = true;
            fixed_height = false;
        }
        : toggle {
            label = "Reverse";
            key = "Reverse";
            mnemonic = "R";
            fixed_height = false;
        }
        : toggle {
            label = "Fit";
            key = "Fit";
            mnemonic = "F";
            is_enabled = false;
            fixed_height = false;
        }
    }
    : boxed_radio_row {
        : radio_button {
            label = "Pick";
            key = "Pick";
            mnemonic = "P";
            fixed_height = false;
        }
        : radio_button {
            label = "Begin";
            key = "Begin";
            mnemonic = "B";
        }
        : radio_button {
            label = "End";
            key = "End";
            mnemonic = "E";
        }
        : radio_button {
            label = "Middle";
            value = "1";
            key = "Middle";
            mnemonic = "M";
        }
    }
    : row {
        : boxed_radio_column {
            key = "Orient";
            width = 13;
            fixed_width = true;
            : radio_button {
                label = "To end";
                value = "1";
                key = "ToEnd";
                mnemonic = "T";
                is_enabled = false;
                width = 10;
                fixed_width = true;
                fixed_height = false;
            }
            : radio_button {
                label = "To begin";
                key = "ToBegin";
                mnemonic = "n";
                is_enabled = false;
                width = 10;
                fixed_width = true;
                fixed_height = false;
            }
        }
        : image {
            key = "Image";
            color = -15;
            //aspect_ratio = 1.0;
            width = 20;
            fixed_width = true;
            height = 5;
            fixed_height = true;
        }
    }
    errtile;
    ok_cancel;
}

